package UI;

import java.awt.*;
import java.io.BufferedReader;
import java.io.FileReader;

public class WallState {
    public void paintComponent(Graphics g)
    {
        try{
            paintComponent(g);
            FileReader fr = new FileReader("C:\\Users\\Lenovo\\IdeaProjects\\JTankTrouble\\maps\\map1.txt");
            BufferedReader br=new BufferedReader(fr);
            g.setColor(Color.black);  //colour of the walls

            String s;
            s=br.readLine();
            int numFilas= Integer.parseInt(s);  //number of rows
            s=br.readLine();
            int numColumnas= Integer.parseInt(s);  //number of columns

            int ladoFilas=650/numFilas;   //sideY
            int ladoColumnas=400/numColumnas;  //sideX
            int grosor=5;    //width of the wall

            int y=0;
            for(int i=0;i<numFilas;i++){
                int x=0;
                for(int j=0;j<numColumnas;j++){
                    int lectura=br.read();
                    char b= (char) lectura;   //char from File

                    //here I create rectangles with different position, width, etc depending on the read value from the file. These rectangles are the walls. I use fillRect(x,y,width,height)

                    if(b=='1'){
                        g.fillRect(x, y, ladoColumnas, grosor);
                    }
                    lectura=br.read();
                    b= (char) lectura;

                    if(b=='1'){
                        g.fillRect(x+(ladoColumnas-grosor), y, grosor, ladoFilas);
                    }
                    lectura=br.read();
                    b= (char) lectura;

                    if(b=='1'){
                        g.fillRect(x, y+(ladoFilas-grosor),ladoColumnas, grosor);
                    }
                    lectura=br.read();
                    b= (char) lectura;

                    if(b=='1'){
                        g.fillRect(x, y, grosor, ladoFilas);
                    }
                    x+=ladoColumnas;

                }
                br.readLine();
                y+=ladoFilas;
            }

            //exit position, which is the last two lines of the the file
            s=br.readLine();
            int filaSalida=Integer.parseInt(s);   //exit row
            s=br.readLine();
            int columnaSalida=Integer.parseInt(s); //exit column
            g.setColor(Color.green);
            g.fillRect((ladoColumnas*columnaSalida)-ladoColumnas,ladoFilas*filaSalida, ladoFilas, ladoColumnas);   //I paint a square in the exit



            br.close();

        }
        catch(Exception e){

        }

    }
}
